### Name: kott.ratio
### Title: Estimation of ratios between totals
### Aliases: kott.ratio
### Keywords: survey

### ** Examples

data(data.examples)

# Creation of a kott.design object:
kdes<-kottdesign(data=example,ids=~towcod+famcod,strata=~SUPERSTRATUM,
      weights=~weight,nrg=15)

# Estimate of the ratios y1/x1, y2/x2 e y3/x3 by marstat:
kott.ratio(kdes,~y1+y2+y3,~x1+x2+x3,by=~marstat)

# Estimate of the ratios z/x1, z/x2 e z/x3
# for the whole population (notice the recycling rule):
kott.ratio(kdes,~z,~x1+x2+x3,conf.int=TRUE)

# Estimators of means can be thought as 
# ratio estimators:
kottby(kdes,~income,estimator="mean")  
kott.ratio(kott.addvars(kdes,population=1),num=~income,den=~population)



