### Name: kott.regcoef
### Title: Estimation of linear regression coefficients
### Aliases: kott.regcoef
### Keywords: survey

### ** Examples

data(data.examples)

# Creation of a kott.design object:
kdes<-kottdesign(data=example,ids=~towcod+famcod,strata=~SUPERSTRATUM,
      weights=~weight,nrg=15)

# A model with one predictor and no intercept:
kott.regcoef(kdes,income~z-1)

# ...compare with ratio estimator:
kott.ratio(kott.addvars(kdes,income.mult.z=income*z,z2=z^2),~income.mult.z,~z2)

# A model with a factor term and no intercept:
kott.regcoef(kdes,income~age5c-1)

# ...compare with mean estimator in subpopulations:
kottby(kdes,~income,~age5c,estimator="mean")

# ...and with regression coefficients (for a different model)
# in subpopulations:
kott.regcoef(kdes,income~1,~age5c)

# An awkward model with many coefficients:
kott.regcoef(kdes,income~z:age5c+x3+marstat-1)



